Analytics
Get Delivery Analytics GET /analytics/delivery
Date / Time Handling for Analytics Endpoint
The Get Delivery Analytics endpoint accepts startDate and endDate query parameters to enable precise scoping of the analytics data. Both parameters accept ISO 8601 date/time formats (YYYY-MM-DDThh:mm:ssZ), which enables filtering down to sub-minute time ranges.
Analytics endpoints support a maximum time range of 24 hours between startDate and endDate. If a specified endDate is greater than 24 hours after the specified startDate, the results will be clamped to the 24 hour period following startDate
Example
The following parameters would return analytics data over the period of one minute between 11:05AM and 11:06 Eastern Time on July 1st, 2026:
startDate: 2026-07-01T15:05:00ZendDate: 2026-07-01T15:06:00Z
curl -L \
--url 'https://api.mobile-text-alerts.com/v3/analytics/delivery?startDate=2026-07-01T15:05:00Z&endDate=2026-07-01T15:06:00Z' \
--header 'Authorization: Bearer <APIKey>' \
--header 'Content-Type: application/json'Success
BadRequestError
UnauthorizedError
ForbiddenError
RateLimitError
InternalServerError
GET /v3/analytics/delivery?startDate=text&endDate=text HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"totalMessages": 1,
"deliverability": 1,
"inflight": 1,
"rows": [
{
"messagingProfile": "text",
"deliverability": 1,
"total": 1,
"delivered": 1,
"notDelivered": 1,
"parts": 1,
"inFlight": 1
}
]
}
}Last updated
Was this helpful?